]> jfr.im git - irc/rqf/shadowircd.git/blobdiff - configure
Unref privset of quitting oper.
[irc/rqf/shadowircd.git] / configure
index 7efa5f7a24a083d8ea070925337a0bacbc32c54a..2948c263d1eafffb815f55f518076677c4d52129 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for charybdis 2.3.0.
+# Generated by GNU Autoconf 2.61 for charybdis 3.1.
 #
 # $Id: configure.ac 3516 2007-06-10 16:14:03Z jilles $
 #
 #
 # $Id: configure.ac 3516 2007-06-10 16:14:03Z jilles $
 #
@@ -574,8 +574,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='charybdis'
 PACKAGE_TARNAME='charybdis'
 # Identity of this package.
 PACKAGE_NAME='charybdis'
 PACKAGE_TARNAME='charybdis'
-PACKAGE_VERSION='2.3.0'
-PACKAGE_STRING='charybdis 2.3.0'
+PACKAGE_VERSION='3.1'
+PACKAGE_STRING='charybdis 3.1'
 PACKAGE_BUGREPORT=''
 
 ac_default_prefix=$HOME/ircd
 PACKAGE_BUGREPORT=''
 
 ac_default_prefix=$HOME/ircd
@@ -1222,7 +1222,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures charybdis 2.3.0 to adapt to many kinds of systems.
+\`configure' configures charybdis 3.1 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1283,7 +1283,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of charybdis 2.3.0:";;
+     short | recursive ) echo "Configuration of charybdis 3.1:";;
    esac
   cat <<\_ACEOF
 
    esac
   cat <<\_ACEOF
 
@@ -1397,7 +1397,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-charybdis configure 2.3.0
+charybdis configure 3.1
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1413,7 +1413,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by charybdis $as_me 2.3.0, which was
+It was created by charybdis $as_me 3.1, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2802,8 +2802,8 @@ esac
 
 fi
 
 
 fi
 
-{ echo "$as_me:$LINENO: checking uname -s for Cygwin, Solaris, AIX or HPUX" >&5
-echo $ECHO_N "checking uname -s for Cygwin, Solaris, AIX or HPUX... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking uname -s for Solaris, AIX or HPUX" >&5
+echo $ECHO_N "checking uname -s for Solaris, AIX or HPUX... $ECHO_C" >&6; }
 OSNAME=`uname -s`
 case "$OSNAME" in
         HP-UX*)
 OSNAME=`uname -s`
 case "$OSNAME" in
         HP-UX*)
@@ -2818,11 +2818,6 @@ echo "${ECHO_T}assuming old HPUX with its own cc" >&6; }
 echo "${ECHO_T}already using newer HPUX" >&6; }
                fi
        ;;
 echo "${ECHO_T}already using newer HPUX" >&6; }
                fi
        ;;
-       CYGWIN*)
-               { echo "$as_me:$LINENO: result: Cygwin" >&5
-echo "${ECHO_T}Cygwin" >&6; }
-               CYGWIN=yes
-       ;;
        SunOS*)
                { echo "$as_me:$LINENO: result: SunOS or Solaris" >&5
 echo "${ECHO_T}SunOS or Solaris" >&6; }
        SunOS*)
                { echo "$as_me:$LINENO: result: SunOS or Solaris" >&5
 echo "${ECHO_T}SunOS or Solaris" >&6; }
@@ -2861,7 +2856,7 @@ echo "${ECHO_T}no" >&6; }
        ;;
        esac
 
        ;;
        esac
 
-       IRC_CFLAGS="$IRC_CFLAGS -O0 -Wall"
+       IRC_CFLAGS="$IRC_CFLAGS -O0 -Wall -std=gnu99"
 fi
 
 if test "$ac_cv_prog_cc_g" = yes; then
 fi
 
 if test "$ac_cv_prog_cc_g" = yes; then
@@ -6845,93 +6840,6 @@ _ACEOF
 
 
 
 
 
 
-{ echo "$as_me:$LINENO: checking the system's memory page size" >&5
-echo $ECHO_N "checking the system's memory page size... $ECHO_C" >&6; }
-pagesize="no"
-if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <stdio.h>
-#if HAVE_UNISTD_H
-# include <unistd.h>
-#endif
-
-int main(void) {
-    FILE *fp = fopen("conftest.malloc", "w");
-
-    if (fp != NULL) {
-        fprintf(fp, "%d\n", getpagesize());
-        fclose(fp);
-    } else
-        exit(1);
-    exit(0);
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-
-if test -f "conftest.malloc" ; then
-    pagesize=`cat conftest.malloc`
-fi
-
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-
-if test "$pagesize" != "no" ; then
-    { echo "$as_me:$LINENO: result: $pagesize" >&5
-echo "${ECHO_T}$pagesize" >&6; }
-else
-    if test "$ac_cv_sizeof_int" = "4" ; then
-        pagesize=4096
-    else
-        pagesize=8192
-    fi
-    { echo "$as_me:$LINENO: result: $pagesize (guessing)" >&5
-echo "${ECHO_T}$pagesize (guessing)" >&6; }
-fi
-
-cat >>confdefs.h <<_ACEOF
-#define MALLOC_PAGESIZE $pagesize
-_ACEOF
-
-
-
 { echo "$as_me:$LINENO: checking for library containing socket" >&5
 echo $ECHO_N "checking for library containing socket... $ECHO_C" >&6; }
 if test "${ac_cv_search_socket+set}" = set; then
 { echo "$as_me:$LINENO: checking for library containing socket" >&5
 echo $ECHO_N "checking for library containing socket... $ECHO_C" >&6; }
 if test "${ac_cv_search_socket+set}" = set; then
@@ -7110,114 +7018,6 @@ fi
 
 fi
 
 
 fi
 
-{ echo "$as_me:$LINENO: checking for struct sockaddr.sa_len" >&5
-echo $ECHO_N "checking for struct sockaddr.sa_len... $ECHO_C" >&6; }
-if test "${ac_cv_member_struct_sockaddr_sa_len+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <sys/types.h>
-#include <sys/socket.h>
-
-
-int
-main ()
-{
-static struct sockaddr ac_aggr;
-if (ac_aggr.sa_len)
-return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_cv_member_struct_sockaddr_sa_len=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <sys/types.h>
-#include <sys/socket.h>
-
-
-int
-main ()
-{
-static struct sockaddr ac_aggr;
-if (sizeof ac_aggr.sa_len)
-return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_cv_member_struct_sockaddr_sa_len=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_member_struct_sockaddr_sa_len=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_member_struct_sockaddr_sa_len" >&5
-echo "${ECHO_T}$ac_cv_member_struct_sockaddr_sa_len" >&6; }
-if test $ac_cv_member_struct_sockaddr_sa_len = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define SOCKADDR_IN_HAS_LEN 1
-_ACEOF
-
-fi
-
-
 { echo "$as_me:$LINENO: checking for socklen_t" >&5
 echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6; }
 if test "${ac_cv_type_socklen_t+set}" = set; then
 { echo "$as_me:$LINENO: checking for socklen_t" >&5
 echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6; }
 if test "${ac_cv_type_socklen_t+set}" = set; then
@@ -7292,135 +7092,6 @@ else
 fi
 
 
 fi
 
 
-if test $ipv6 != yes; then
-       have_v6="no"
-else
-{ echo "$as_me:$LINENO: checking for core IPv6 support" >&5
-echo $ECHO_N "checking for core IPv6 support... $ECHO_C" >&6; }
-
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#define IN_AUTOCONF
-       #include <sys/types.h>
-       #include <sys/socket.h>
-       #include <netinet/in.h>
-int
-main ()
-{
-struct sockaddr_in6 s;
-         s.sin6_family = 0;
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-
-       if test "$CYGWIN" = "yes"; then
-               { echo "$as_me:$LINENO: result: no, Cygwin's IPv6 is incomplete" >&5
-echo "${ECHO_T}no, Cygwin's IPv6 is incomplete" >&6; }
-               have_v6=no
-       else
-               have_v6=yes
-
-cat >>confdefs.h <<\_ACEOF
-#define IPV6 1
-_ACEOF
-
-               { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-               { echo "$as_me:$LINENO: checking for struct in6addr_any" >&5
-echo $ECHO_N "checking for struct in6addr_any... $ECHO_C" >&6; }
-               cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#define IN_AUTOCONF
-                               #include <sys/types.h>
-                               #include <sys/socket.h>
-                               #include <netinet/in.h>
-int
-main ()
-{
-struct in6_addr a = in6addr_any;
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-                               { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-
-cat >>confdefs.h <<\_ACEOF
-#define NO_IN6ADDR_ANY 1
-_ACEOF
-
-                               inet_misc=1
-
-
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-       fi
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-have_v6="no"
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-
 { echo "$as_me:$LINENO: checking for library containing crypt" >&5
 echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
 if test "${ac_cv_search_crypt+set}" = set; then
 { echo "$as_me:$LINENO: checking for library containing crypt" >&5
 echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
 if test "${ac_cv_search_crypt+set}" = set; then
@@ -7937,8 +7608,8 @@ fi
 if test $ac_cv_header_stdarg_h = yes; then
   :
 else
 if test $ac_cv_header_stdarg_h = yes; then
   :
 else
-  { { echo "$as_me:$LINENO: error: ** stdarg.h could not be found - ircd-ratbox will not compile without it **" >&5
-echo "$as_me: error: ** stdarg.h could not be found - ircd-ratbox will not compile without it **" >&2;}
+  { { echo "$as_me:$LINENO: error: ** stdarg.h could not be found - charybdis will not compile without it **" >&5
+echo "$as_me: error: ** stdarg.h could not be found - charybdis will not compile without it **" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
    { (exit 1); exit 1; }; }
 fi
 
 # Check whether --with-nicklen was given.
 if test "${with_nicklen+set}" = set; then
   withval=$with_nicklen;
 # Check whether --with-nicklen was given.
 if test "${with_nicklen+set}" = set; then
   withval=$with_nicklen;
+  if ! expr "$withval" + 0 >/dev/null 2>&1; then
+       { { echo "$as_me:$LINENO: error: NICKLEN must be a numeric value" >&5
+echo "$as_me: error: NICKLEN must be a numeric value" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
   if test $withval -ge 50; then
        NICKLEN=50
        { echo "$as_me:$LINENO: WARNING: NICKLEN has a hard limit of 50. Setting NICKLEN=50" >&5
   if test $withval -ge 50; then
        NICKLEN=50
        { echo "$as_me:$LINENO: WARNING: NICKLEN has a hard limit of 50. Setting NICKLEN=50" >&5
@@ -11157,13 +10833,6 @@ _ACEOF
 
 shared_modules="yes"
 if test "$shared_modules" = yes; then
 
 shared_modules="yes"
 if test "$shared_modules" = yes; then
-
-       if test "$CYGWIN" = yes; then
-               { echo "$as_me:$LINENO: WARNING: disabling shared modules; Cygwin is at present unable to build them." >&5
-echo "$as_me: WARNING: disabling shared modules; Cygwin is at present unable to build them." >&2;}
-               shared_modules="no"
-       fi
-
                if test "$CC" = tcc -a "$TenDRA" = "no"; then
                { echo "$as_me:$LINENO: WARNING: disabling shared modules: Tiny C Compiler can't create PIC" >&5
 echo "$as_me: WARNING: disabling shared modules: Tiny C Compiler can't create PIC" >&2;}
                if test "$CC" = tcc -a "$TenDRA" = "no"; then
                { echo "$as_me:$LINENO: WARNING: disabling shared modules: Tiny C Compiler can't create PIC" >&5
 echo "$as_me: WARNING: disabling shared modules: Tiny C Compiler can't create PIC" >&2;}
@@ -11958,9 +11627,65 @@ echo "${ECHO_T}no" >&6; }
        fi
 fi
 
        fi
 fi
 
+# rpath, for finding libratbox.so at run time
+hold_ldflags=$LDFLAGS
+{ echo "$as_me:$LINENO: checking for the ld -rpath flag" >&5
+echo $ECHO_N "checking for the ld -rpath flag... $ECHO_C" >&6; }
+LDFLAGS="${LDFLAGS} -Wl,-rpath=${libdir}"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+int i;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  found=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       found=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LDFLAGS=$hold_ldflags
+{ echo "$as_me:$LINENO: result: $found" >&5
+echo "${ECHO_T}$found" >&6; }
+if test "$found" = yes; then
+       LDFLAGS="${LDFLAGS} -Wl,-rpath=\${libdir}"
+fi
+
 # This must be down here, or it will mess up checks like the ones
 # for -Wl,-export-dynamic
 # -- jilles
 # This must be down here, or it will mess up checks like the ones
 # for -Wl,-export-dynamic
 # -- jilles
+CWARNS=""
 # Check whether --enable-warnings was given.
 if test "${enable_warnings+set}" = set; then
   enableval=$enable_warnings;
 # Check whether --enable-warnings was given.
 if test "${enable_warnings+set}" = set; then
   enableval=$enable_warnings;
@@ -12343,6 +12068,156 @@ echo "${ECHO_T}no" >&6; }
  fi
 
 
  fi
 
 
+ { echo "$as_me:$LINENO: checking GCC flag(s) -Wwrite-strings" >&5
+echo $ECHO_N "checking GCC flag(s) -Wwrite-strings... $ECHO_C" >&6; }
+ if test "${GCC-no}" = yes
+ then
+  if test "${charybdis_cv_c_gcc_w_write_strings+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+   oldcflags="${CFLAGS-}"
+   CFLAGS="${CFLAGS-} ${CWARNS} -Wwrite-strings -Werror"
+   cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <string.h>
+#include <stdio.h>
+int main(void);
+
+int
+main ()
+{
+
+    (void)strcmp("a","b"); fprintf(stdout,"test ok\n");
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  charybdis_cv_c_gcc_w_write_strings=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       charybdis_cv_c_gcc_w_write_strings=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+   CFLAGS="${oldcflags}"
+fi
+
+  if test "x$charybdis_cv_c_gcc_w_write_strings" = xyes; then
+   CWARNS="${CWARNS}-Wwrite-strings "
+   { echo "$as_me:$LINENO: result: ok" >&5
+echo "${ECHO_T}ok" >&6; }
+  else
+   charybdis_cv_c_gcc_w_write_strings=''
+   { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+  fi
+ else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ fi
+
+
+ { echo "$as_me:$LINENO: checking GCC flag(s) -Werror-implicit-function-declaration" >&5
+echo $ECHO_N "checking GCC flag(s) -Werror-implicit-function-declaration... $ECHO_C" >&6; }
+ if test "${GCC-no}" = yes
+ then
+  if test "${charybdis_cv_c_gcc_w_error_implicit_function_declaration+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+   oldcflags="${CFLAGS-}"
+   CFLAGS="${CFLAGS-} ${CWARNS} -Werror-implicit-function-declaration -Werror"
+   cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <string.h>
+#include <stdio.h>
+int main(void);
+
+int
+main ()
+{
+
+    (void)strcmp("a","b"); fprintf(stdout,"test ok\n");
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  charybdis_cv_c_gcc_w_error_implicit_function_declaration=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       charybdis_cv_c_gcc_w_error_implicit_function_declaration=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+   CFLAGS="${oldcflags}"
+fi
+
+  if test "x$charybdis_cv_c_gcc_w_error_implicit_function_declaration" = xyes; then
+   CWARNS="${CWARNS}-Werror-implicit-function-declaration "
+   { echo "$as_me:$LINENO: result: ok" >&5
+echo "${ECHO_T}ok" >&6; }
+  else
+   charybdis_cv_c_gcc_w_error_implicit_function_declaration=''
+   { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+  fi
+ else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ fi
+
+
  { echo "$as_me:$LINENO: checking GCC flag(s) -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations" >&5
 echo $ECHO_N "checking GCC flag(s) -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations... $ECHO_C" >&6; }
  if test "${GCC-no}" = yes
  { echo "$as_me:$LINENO: checking GCC flag(s) -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations" >&5
 echo $ECHO_N "checking GCC flag(s) -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations... $ECHO_C" >&6; }
  if test "${GCC-no}" = yes
@@ -13318,8 +13193,8 @@ echo "${ECHO_T}no" >&6; }
  fi
 
 
  fi
 
 
- { echo "$as_me:$LINENO: checking GCC flag(s) -Wformat=2" >&5
-echo $ECHO_N "checking GCC flag(s) -Wformat=2... $ECHO_C" >&6; }
+ { echo "$as_me:$LINENO: checking GCC flag(s) -Wformat -Wformat-y2k -Wformat-security" >&5
+echo $ECHO_N "checking GCC flag(s) -Wformat -Wformat-y2k -Wformat-security... $ECHO_C" >&6; }
  if test "${GCC-no}" = yes
  then
   if test "${charybdis_cv_c_gcc_w_format+set}" = set; then
  if test "${GCC-no}" = yes
  then
   if test "${charybdis_cv_c_gcc_w_format+set}" = set; then
@@ -13327,7 +13202,7 @@ echo $ECHO_N "checking GCC flag(s) -Wformat=2... $ECHO_C" >&6; }
 else
 
    oldcflags="${CFLAGS-}"
 else
 
    oldcflags="${CFLAGS-}"
-   CFLAGS="${CFLAGS-} ${CWARNS} -Wformat=2 -Werror"
+   CFLAGS="${CFLAGS-} ${CWARNS} -Wformat -Wformat-y2k -Wformat-security -Werror"
    cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
    cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -13379,7 +13254,7 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
 
   if test "x$charybdis_cv_c_gcc_w_format" = xyes; then
 fi
 
   if test "x$charybdis_cv_c_gcc_w_format" = xyes; then
-   CWARNS="${CWARNS}-Wformat=2 "
+   CWARNS="${CWARNS}-Wformat -Wformat-y2k -Wformat-security "
    { echo "$as_me:$LINENO: result: ok" >&5
 echo "${ECHO_T}ok" >&6; }
   else
    { echo "$as_me:$LINENO: result: ok" >&5
 echo "${ECHO_T}ok" >&6; }
   else
@@ -14158,6 +14033,8 @@ _ACEOF
        fi
 fi
 
        fi
 fi
 
+IRC_CFLAGS="$IRC_CFLAGS $CWARNS"
+
 
 
 
 
 
 
@@ -14589,7 +14466,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by charybdis $as_me 2.3.0, which was
+This file was extended by charybdis $as_me 3.1, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -14638,7 +14515,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-charybdis config.status 2.3.0
+charybdis config.status 3.1
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -15540,7 +15417,6 @@ Configuration:
 
        Ziplinks           : $zlib
        OpenSSL            : $openssl
 
        Ziplinks           : $zlib
        OpenSSL            : $openssl
-       IPv6 support       : $have_v6
        Socket Engine      : $SELECT_TYPE
        Small network      : $small_net
        Block allocator    : $balloc
        Socket Engine      : $SELECT_TYPE
        Small network      : $small_net
        Block allocator    : $balloc
@@ -15548,5 +15424,5 @@ Configuration:
        Nickname length    : $NICKLEN
        Topic length       : $TOPICLEN
 
        Nickname length    : $NICKLEN
        Topic length       : $TOPICLEN
 
-Use make to compile Charybdis, then make install to install it.
+Use (g)make to compile Charybdis, then (g)make install to install it.
 "
 "